## printer-applet 4.8.4

=== CMakeLists.txt ===
project(printer-applet)

if(NOT UNIX)
  message(FATAL_ERROR "printer-applet is only supposed to be built on Unix platforms.")
endif(NOT UNIX)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake-modules )

if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
    find_package(KDE4)
    include( KDE4Defaults )
endif()

add_subdirectory(doc)

macro_optional_find_package(PythonLibrary)
macro_optional_find_package(SIP)

find_package(PyQt4)
macro_log_feature(PYQT4_FOUND "PyQt4" "Python bindings for Qt-4.x library" "http://www.riverbankcomputing.co.uk/software/pyqt/intro" FALSE "" "Needed by printer-applet to run. (Use -DINSTALL_PRINTER_APPLET=TRUE to install anyway)")

find_package(PyKDE4)
macro_log_feature(PYKDE4_FOUND "PyKDE4" "Python bindings for KDE 4.x" "http://websvn.kde.org/trunk/KDE/kdebindings/python/pykde4/" FALSE "" "Needed by printer-applet to run. (Use -DINSTALL_PRINTER_APPLET=TRUE to install anyway)")

find_package(PyCups)
macro_log_feature(PYCUPS_FOUND "PyCups" "Python bindings for CUPS" "http://cyberelk.net/tim/software/pycups/" FALSE "" "Required by printer-applet to run.  (Use -DINSTALL_PRINTER_APPLET=TRUE to install anyway)")

IF(PYQT4_FOUND AND PYKDE4_FOUND AND PYCUPS_FOUND)
    set(INSTALL_PRINTER_APPLET TRUE)
ENDIF(PYQT4_FOUND AND PYKDE4_FOUND AND PYCUPS_FOUND)

IF(INSTALL_PRINTER_APPLET)
    install( FILES
        printer-applet-printers.ui
        printer-applet.py
        printer-applet.ui
        printer-appletui.rc
        printer-applet.notifyrc
        statereason.py
        monitor.py
        authconn.py
        debug.py
        DESTINATION ${DATA_INSTALL_DIR}/printer-applet )
    PYKDE4_ADD_EXECUTABLE(printer-applet.py printer-applet)
    install(FILES printer-applet.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})
ENDIF(INSTALL_PRINTER_APPLET)

find_package(SystemConfigPrinter)
macro_log_feature(SYSTEMCONFIGPRINTER_FOUND "system-config-printer" "system-config-printer was not found.  Some of its modules (cupshelpers.py and ppds.py) are optionally used by printer-applet for auto configure of new printers.  You should also install the udev rules from system-config-printer." "http://cyberelk.net/tim/software/system-config-printer/" FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
    macro_display_feature_log()
endif(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})

## printer-applet 4.8.2

=== debian/changelog ===
printer-applet (4:4.8.2-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:10 +0100

printer-applet (4:4.8.2-0ubuntu1) precise; urgency=low

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Apr 2012 08:52:04 +0000

printer-applet (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 21:49:29 +0100

printer-applet (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 23 Jan 2012 22:04:43 +0100

printer-applet (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:41 +0000

printer-applet (4:4.7.95-0ubuntu1) precise; urgency=low

  [ Philip Muškovac ]
  * New upstream release

  [ Felix Geyer ]
  * Build-depend on python instead of python-dev as the package doesn't build
    python extensions.

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 23:18:09 +0100

printer-applet (4:4.7.90-0ubuntu1) precise; urgency=low

  * Initial package
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2011 15:10:38 +0000

=== debian/control ===
Source: printer-applet
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1), python
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/printer-applet
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/printer-applet

Package: printer-applet
Section: utils
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-qt4-dbus, python-cups, 
 python-kde4 (>= 4:4.1.82), system-config-printer-common
Description: manages your printing jobs
 Printer Applet lets you easily manage your printing jobs.
 .
 It is a system tray utility which shows current print jobs,
 printer warnings and errors and when printers that have
 been plugged in for the first time are being auto-configured by
 Cups.
 .
 This package is part of the KDE SC utilities module.

=== debian/rules ===
#!/usr/bin/make -f

dh = --with=python2

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DINSTALL_PRINTER_APPLET:BOOL=TRUE

override_dh_python2:
	$(overridden_command) -p printer-applet /usr/share/kde4/apps/printer-applet

## printer-applet 4.8.4

=== debian/changelog ===
printer-applet (4:4.8.4-1) unstable; urgency=low

  * Team upload.
  * Initial packaging, split from kdeutils.

 -- Pino Toscano <pino@debian.org>  Tue, 26 Jun 2012 20:00:33 +0200

=== debian/control ===
Source: printer-applet
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>, José Manuel Santamaría Lema <panfaust@gmail.com>,
 Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8),
 python,
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/printer-applet.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/printer-applet.git

Package: printer-applet
Section: utils
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-qt4-dbus, python-cups, python-kde4 (>= 4:4.1.82)
Recommends: hal-cups-utils, system-config-printer-kde
Description: manages your printing jobs
 Printer applet lets you easily manage your printing jobs.
 .
 This package is part of the KDE SC utilities module.

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,7 @@
 override_dh_auto_configure:
 	$(overridden_command) -- -DINSTALL_PRINTER_APPLET:BOOL=TRUE
 
+.PHONY: override_dh_auto_test
+
 override_dh_python2:
 	$(overridden_command) -p printer-applet /usr/share/kde4/apps/printer-applet

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/printer-applet-([\d\.]*).tar.xz

## printer-applet 4.9.2

=== debian/changelog ===
printer-applet (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:46:58 +0100

printer-applet (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 04 Sep 2012 15:32:48 +0530

printer-applet (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:49:30 +0100

printer-applet (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:49:00 +0200

printer-applet (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 16:45:52 +0100

=== debian/control ===
Source: printer-applet
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: 
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.9.2), python
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/printer-applet
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/printer-applet

Package: printer-applet
Section: utils
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-qt4-dbus, python-cups, 
 python-kde4 (>= 4:4.1.82), system-config-printer-common
Description: manages your printing jobs
 Printer Applet lets you easily manage your printing jobs.
 .
 It is a system tray utility which shows current print jobs,
 printer warnings and errors and when printers that have
 been plugged in for the first time are being auto-configured by
 Cups.
 .
 This package is part of the KDE SC utilities module.

## printer-applet 4.9.3

=== debian/changelog ===
printer-applet (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:42:09 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2), python
+ kdelibs5-dev (>= 4:4.9.3), python
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/printer-applet
